Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Module::Build::Base

Perl 5 version 18.2 documentation
Go to top
Show page index • Show recent pages
Recently read

# Module::Build::Base

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- COPYRIGHT
- SEE ALSO

# NAME

Module::Build::Base - Default methods for Module::Build

# SYNOPSIS

      Please see the Module::Build documentation.

# DESCRIPTION

The `Module::Build::Base` module defines the core functionality of `Module::Build` . Its methods may be overridden by any of the platform-dependent modules in the `Module::Build::Platform::` namespace, but the intention here is to make this base module as platform-neutral as possible. Nicely enough, Perl has several core tools available in the `File::` namespace for doing this, so the task isn't very difficult.

Please see the `Module::Build` documentation for more details.

# AUTHOR

Ken Williams <kwilliams@cpan.org>

# COPYRIGHT

Copyright (c) 2001-2006 Ken Williams. All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

# SEE ALSO

perl(1), Module::Build(3)

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- AUTHOR
- COPYRIGHT
- SEE ALSO